"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.select = void 0;

var _variants = require("../variants");

// Ours
const select = (variantStyles, variants = _variants.builtin) => {
  // Override built-in variants with user provided values but always
  // include default variant styles
  variants = { ..._variants.builtin,
    ...variants,
    default: true
  };
  return variantStyles.filter(({
    variant
  }) => Boolean(variants[variant])).map(({
    variant: _,
    ...styleWithProps
  }) => styleWithProps).reduce((props, next) => ({ ...props,
    ...next,
    style: props.style ? Array.isArray(props.style) ? [...props.style, next.style] : [props.style, next.style] : [next.style]
  }), {});
};

exports.select = select;
//# sourceMappingURL=select.js.map