import { ColorValue, ViewStyle, TextStyle, FlexStyle, ScaleTransform, RotateTransform, TranslateXTransform, SkewXTransform } from 'react-native';
export declare type StyleProps = {
    style: Record<string, any> | Record<string, any>[];
    [props: string]: unknown;
};
export declare type VariantStyle = StyleProps & {
    variant: string;
};
export declare type ToggleVariants = Record<string, boolean | undefined>;
export declare type StyledMacro = (tokens: string[], variants?: ToggleVariants) => StyleProps;
declare type Colors = Record<string, ColorValue>;
export declare type Theme = {
    backgroundColor: Colors;
    borderColor: Colors;
    borderRadius: Record<string, ViewStyle['borderRadius'] | string>;
    borderWidth: Record<string, ViewStyle['borderWidth']>;
    flex: Record<string, FlexStyle['flex'] | Partial<Pick<FlexStyle, 'flexBasis' | 'flexGrow' | 'flexShrink'>>>;
    flexGrow: Record<string, FlexStyle['flexGrow']>;
    flexShrink: Record<string, FlexStyle['flexShrink']>;
    fontSize: Record<string, TextStyle['fontSize'] | string>;
    fontWeight: Record<string, TextStyle['fontWeight']>;
    height: Record<string, ViewStyle['height']>;
    letterSpacing: Record<string, TextStyle['letterSpacing'] | string>;
    lineHeight: Record<string, TextStyle['lineHeight'] | string>;
    margin: Record<string, ViewStyle['margin']>;
    maxHeight: Record<string, ViewStyle['maxHeight']>;
    maxWidth: Record<string, ViewStyle['maxWidth']>;
    minHeight: Record<string, ViewStyle['maxHeight']>;
    minWidth: Record<string, ViewStyle['minWidth']>;
    opacity: Record<string, ViewStyle['opacity']>;
    padding: Record<string, ViewStyle['padding']>;
    textColor: Colors;
    width: Record<string, ViewStyle['width']>;
    zIndex: Record<string, ViewStyle['zIndex']>;
    scale: Record<string, ScaleTransform['scale']>;
    rotate: Record<string, RotateTransform['rotate']>;
    translate: Record<string, TranslateXTransform['translateX'] | string>;
    skew: Record<string, SkewXTransform['skewX']>;
    numberOfLines: Record<string, number>;
};
export declare type Configuration = {
    theme: Theme;
};
export declare class StyleError extends Error {
    constructor(message: string);
}
export {};
